#!/usr/bin/env python3
# coding: utf8

"""02-is-prime.py"""

def is_prime(number):
    """
    :Examples:
    >>> is_prime(20021731)
    True
    >>> is_prime(23)
    True
    >>> is_prime(1)
    False
    >>> is_prime(20)
    False
    """
    if number < 2:
        return False

    for divisor in range(2, int(number ** 0.5) +1):
        if number % divisor == 0:
            return False

    return True

assert is_prime(20021731) == True
assert is_prime(23) == True
assert is_prime(1) == False
assert is_prime(4) == False
assert is_prime(20) == False
