#!/usr/bin/env python3
# coding: utf8

"""entrainement-03-sum-every-prime-number-below-n"""

def is_prime(number):
    """
    :Examples:
    >>> is_prime(20021731)
    True
    >>> is_prime(23)
    True
    >>> is_prime(1)
    False
    >>> is_prime(20)
    False
    """
    if number < 2:
        return False

    for divisor in range(2, int(number ** 0.5) +1):
        if number % divisor == 0:
            return False

    return True


def sum_primes(number):
    """Function documentation

    :Examples:
    >>> sum_primes(10)
    17
    >>> sum_primes(2)
    0
    >>> sum_primes(79)
    712
    """

    return sum([num for num in range(number) if is_prime(num)])


if __name__ == "__main__":
    import doctest
    doctest.testmod()
