#!/usr/bin/env python3
# coding: utf8

"""116-print-every-prime-numbers-in-a-range.py"""

def is_prime(number):
    """Function documentation.

    :Examples:
    >>> is_prime(20021731)
    True
    >>> is_prime(23)
    True
    >>> is_prime(1)
    False
    >>> is_prime(4)
    False
    >>> is_prime(20)
    False
    """
    if number < 2:
        return False

    for divisor in range(2, int(number ** 0.5) +1):
        if number % divisor == 0:
            return False

    return True


def prime_in_range(start, stop):
    """
    :Examples:
    >>> prime_in_range(1, 10)
    '2, 3, 5, 7'
    """
    primes = [num for num in range(start, stop) if is_prime(num)]

    last = primes.pop()
    solution = ""
    for prime in primes:
        solution += f"{prime}, "

    solution += f"{last}"

    return solution


print(prime_in_range(10000, 10050))


if __name__ == "__main__":
    import doctest
    doctest.testmod()
