#!/usr/bin/env python3
# coding: utf8

"""print-the-first-prime-number-after-the-given-one.py"""
from itertools import count as itercount

def is_prime(number):
    """
    :Examples:
    >>> is_prime(20021731)
    True
    >>> is_prime(23)
    True
    >>> is_prime(1)
    False
    >>> is_prime(20)
    False
    """
    if number < 2:
        return False

    for divisor in range(2, int(number ** 0.5) +1):
        if number % divisor == 0:
            return False

    return True


def main(target):
    """
    :Examples:
    >>> main(6)
    7
    """
    # genere une liste de nombre
    for number in itercount(target):
        if is_prime(number):
            return number


print(main(100_000_000))

if __name__ == "__main__":
    import doctest
    doctest.testmod()
